Skip to main content
GET
/
api
/
private
/
v2
/
wallet-stats
/
Get Portfolio Stats
curl --request GET \
  --url https://app.digitalsurge.com.au/api/private/v2/wallet-stats/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "overall": {
        "overall_aud_wallet_value": "<string>",
        "overall_day_return": "<string>",
        "overall_day_return_percentage": "<string>",
        "overall_total_return": "<string>",
        "overall_total_return_percentage": "<string>"
      },
      "assets": [
        {
          "asset": "<string>",
          "approximate_value": "<string>",
          "current_balance": "<string>",
          "current_buy_price": "<string>",
          "current_sell_price": "<string>",
          "last_buy_price": "<string>",
          "last_sell_price": "<string>",
          "day_buy_return": "<string>",
          "day_buy_return_percentage": "<string>",
          "total_avg_buy": "<string>",
          "total_avg_sell": "<string>",
          "total_buy_return": "<string>",
          "total_buy_return_percentage": "<string>",
          "stale_price": true
        }
      ]
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

Personal API key, created in the Digital Surge app under Account Settings → API Keys. Send it with every request as Authorization: Bearer <your-api-key>.

Query Parameters

asset
string

Filter to specific asset code

overall
boolean

Include overall portfolio statistics

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"